//---------------------------------------------------------------------------
// TDcjCustomDlgEditor Component Editor
//
// Copyright  1998, Michael Trier.  All Rights Reserved.
//---------------------------------------------------------------------------
// This component and any associated property editors and/or component editors
// can be freely used and distributed, provided all source code files are not
// modified in any way and there is no charge for it other than nominal shipping
// and handling fees.  Please contact me directly if you desire to modify the
// terms of this agreement.
//---------------------------------------------------------------------------
// Please note:  This source code is provided as a teaching tool. If you
// decide that you want to use whole routines or modules directly in an
// application that you are creating, please give credit where it is due.
// Given the above, keep in mind that these applications are copyright
// property of Michael Trier.
//---------------------------------------------------------------------------
// Date last modified: $Date: 1998/11/14 19:28:11 $
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// TDcjCustomDlgEditor v$Revision: 0.50 $
//---------------------------------------------------------------------------
// Revision History:
// $Log: DcjCustomEdt.cpp,v $
// Revision 0.50  1998/11/14 19:28:11  michael
// - Initial revision
//
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "DcjCustomEdt.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace Dcjcustomedt
{
  void __fastcall PACKAGE Register()
  {
    RegisterComponentEditor(__classid(TDcjCustomDlg),
        __classid(TDcjCustomDlgEditor));
  }
}
//---------------------------------------------------------------------------
// Component Editor Implementation
//---------------------------------------------------------------------------
__fastcall TDcjCustomDlgEditor::TDcjCustomDlgEditor(Classes::TComponent* AComponent,
  		TFormDesigner* ADesigner)
	: Dsgnintf::TDefaultEditor(AComponent, ADesigner)
{
}
//---------------------------------------------------------------------------
int __fastcall TDcjCustomDlgEditor::GetVerbCount(void)
{
  // return the number of new menu items to display
  return 1;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TDcjCustomDlgEditor::GetVerb(int Index)
{
AnsiString result = "";

  // get the menu item captions
  if( Index == 0 )
    result = "Preview";

  // return the result
  return result;
}
//---------------------------------------------------------------------------
void __fastcall TDcjCustomDlgEditor::ExecuteVerb(int Index)
{
  // execute the function for the selected menu item
  if( Index == 0)
    Edit();
}
//---------------------------------------------------------------------------
void __fastcall TDcjCustomDlgEditor::Edit(void)
{
  // preview the message dialog
  TDcjCustomDlg *dialog = dynamic_cast<TDcjCustomDlg *>(Component);
  dialog->Execute();
  Application->MessageBox(("The dialog returned the following results:\r\n\r\n" +
      dialog->PreviewResults()).c_str(), "Dialog Results",
      MB_ICONINFORMATION | MB_OK);
}
//---------------------------------------------------------------------------
