//---------------------------------------------------------------------------
// TDcjRootKey Class
// Copyright (c) 1998 Michael Trier.  All Rights Reserved.
// See source file for restrictions.
//---------------------------------------------------------------------------
#ifndef DcjRootKeyH
#define DcjRootKeyH
//---------------------------------------------------------------------------
// TDcjRootKey class
//---------------------------------------------------------------------------
enum TDcjRootKeyEnum {rkNone, rkClassesRoot, rkCurrentUser, rkLocalMachine,
    rkUsers };

class TDcjRootKey
{
private:
  TDcjRootKeyEnum FRootKey;

protected:
  virtual HKEY __fastcall GetRootKeyAsHKEY(void);
  virtual void __fastcall SetRootKeyAsHKEY(HKEY Value);
  virtual AnsiString __fastcall GetRootKeyAsString(void);
  virtual void __fastcall SetRootKeyAsString(AnsiString Value);
  virtual AnsiString __fastcall GetRootKeyAsHKEYString(void);
  virtual void __fastcall SetRootKeyAsHKEYString(AnsiString Value);

public:
  __fastcall TDcjRootKey(TDcjRootKeyEnum Root = rkNone);
  //copy constructor
  __fastcall TDcjRootKey(const TDcjRootKey &C) {
    FRootKey = C.RootKey;
  }

  // assignment operator
  TDcjRootKey& operator =(const TDcjRootKey &C) {
    if (this == &C) return *this;
    FRootKey = C.RootKey;
    return *this;
  }

  __property TDcjRootKeyEnum RootKey = {read=FRootKey, write=FRootKey};
  __property HKEY RootKeyAsHKEY = {read=GetRootKeyAsHKEY, write=SetRootKeyAsHKEY};
  __property AnsiString RootKeyAsString = {read=GetRootKeyAsString,
      write=SetRootKeyAsString};
  __property AnsiString RootKeyAsHKEYString = {read=GetRootKeyAsHKEYString,
      write=SetRootKeyAsHKEYString};

};
//---------------------------------------------------------------------------
#endif
