//---------------------------------------------------------------------------
// Developer's Corner Journal Define File
// This file is used for all my Dcj projects which need to differentiate
// between BCB1 and BCB3.  This will help reduce headaches when new versions of
// C++Builder are released.
//---------------------------------------------------------------------------
// Michael Trier: mtrier@pobox.com
// Date last modified: 10-Jul-1998
//---------------------------------------------------------------------------

#ifndef DCJ_DEFINES
#define DCJ_DEFINES

#if (__TURBOC__ == 0x530)
  // C++Builder 3
  #define DCJ_BCB_3
#else
#if (__TURBOC__ == 0x520)
  // C++Builder 1
  #define DCJ_BCB_1
  // prevents us from having to do ifdef blocks all the time
  // we can just use the PACKAGE macro and BCB1 will ignore it.
  #ifndef PACKAGE
    #define PACKAGE
  #endif
  // Borland changed the __declspec to macros in order to support
  // packages.  We'll do a reversal.
  #ifndef DELPHICLASS
  	#define DELPHICLASS __declspec(delphiclass)
  #endif
  #ifndef DELPHIRETURN
  	#define DELPHIRETURN __declspec(delphireturn)
  #endif
#else
  // Don't know what it is.  Could be new version, could be something
  // old.
  #define DCJ_UNKNOWN_COMPILER
#endif
#endif
#endif

